import { ComponentType } from 'react';

interface UploadedFile {
  id: string;
  preview: string;
  file: File;
}

interface DropZoneProps {
  multiple?: boolean;
  onUpload: (files: UploadedFile[] | UploadedFile | null) => void;
  images?: UploadedFile[];
  maxFiles?: number;
  maxWidth?: number;
  compressImages?: boolean;
  compressionOptions?: object;
  loader?: ComponentType;
  className?: string;
  acceptedFileTypes?: {
    [key: string]: string[];
  };
  renderThumbnail?: (
    file: UploadedFile,
    index: number,
    handleDragStart: (index: number) => void,
    handleDragEnter: (index: number) => void,
    handleDragEnd: () => void,
    removeFile: (fileId: string) => void
  ) => JSX.Element;
}

declare const DropZone: ComponentType<DropZoneProps>;

export default DropZone;
